Name:           gnome-shell-extensions
Version:        3.0.0
Release:        0.1.6d56cfgit%{?dist}
Summary:        Modify and extend GNOME Shell functionality and behavior
Group:          User Interface/Desktops
License:        GPLv2+ 
URL:            http://live.gnome.org/GnomeShell/Extensions

#  using git archive since upstream hasn't created tarballs.  Picking up a post 3.0.0 release snapshot for a couple of minor but relevant changes
#  git archive --format=tar --prefix=gnome-shell-extensions/ git_commithash  | xz  > gnome-shell-extensions-<git_commithash_abbr>.tar.xz
Source0:       gnome-shell-extensions-6d56cf.tar.xz  

# since we build from a git checkout
BuildRequires:  gnome-common
BuildRequires:  intltool

Requires:       gnome-shell
BuildArch:      noarch

%description
GNOME Shell Extensions is a collection of extensions providing additional 
and optional functionality to GNOME Shell.

Enabled extensions:

  * alternate-tab
  * alternative-status-menu
  * dock
  * windowsNavigator

%package        common
Summary:        Files common to GNOME Shell Extensions
Group:          User Interface/Desktops
License:        GPLv2+ 
%description    common
GNOME Shell Extensions is a collection of extensions providing additional 
and optional functionality to GNOME Shell. Common files and directories 
needed by extensions are provided here. 

%package        alternate-tab
Summary:        Classic Alt+Tab behavior. Window based instead of app based
Group:          User Interface/Desktops
License:        GPLv2+ 
Requires:       %{name}-common = %{version}-%{release}

%description  alternate-tab
Lets you use classic Alt+Tab (window-based instead of app-based) in GNOME Shell.  
GNOME Shell groups multiple instances of the same application together. 
This extension disables grouping.  

%package        alternative-status-menu
Summary:        For those who want a power off item visible at all the time
Group:          User Interface/Desktops
License:        GPLv2+ 
Requires:       %{name}-common = %{version}-%{release}

%description    alternative-status-menu
For those who want a power off item visible at all the time, replaces 
GNOME Shell status menu with one featuring  separate Suspend and Power Off. 
Adds the ability to hibernate as well.

%package        dock
Summary:        Shows a dock-style task switcher permanently
Group:          User Interface/Desktops
License:        GPLv2+ 
Requires:       %{name}-common = %{version}-%{release}

%description    dock
Shows a dock-style task switcher on the right side of the screen permanently.

%package        windowsNavigator
Summary:        Keyboard selection of windows and work-spaces in overlay mode
Group:          User Interface/Desktops
License:        GPLv2+ 
Requires:       %{name}-common = %{version}-%{release}

%description    windowsNavigator
Allow keyboard selection of windows and work-spaces in overlay mode in 
GNOME Shell.  Switch to  overlay mode and press the alt key to show 
numbers over windows.  Press any number to switch to the corresponding window.

%prep
%setup -q -n gnome-shell-extensions

%build
# since we build from a git checkout
[ -x autogen.sh ] && NOCONFIGURE=1 ./autogen.sh  --enable-extensions="alternate-tab alternative-status-menu dock windowsNavigator"

%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%files common -f %{name}.lang
%defattr(-,root,root,-)
%doc README
%dir %{_datadir}/gnome-shell/extensions/
#{_datadir}/gnome-shell/extensions/

%files alternate-tab
%defattr(-,root,root,-)
%{_datadir}/gnome-shell/extensions/alternate-tab*

%files alternative-status-menu
%defattr(-,root,root,-)
%{_datadir}/gnome-shell/extensions/alternative-status-menu*

%files dock
%defattr(-,root,root,-)
%{_datadir}/gnome-shell/extensions/dock*

%files windowsNavigator
%defattr(-,root,root,-)
%{_datadir}/gnome-shell/extensions/windowsNavigator*

%changelog
* Fri Apr 08 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 3.0.0-1.6d56cfgit
- Make sure configure doesn't get called twice

* Fri Apr 08 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 3.0.0-0.6d56cfgit
- Initial build
